-- ***********************************************************************
-- KOHA UNIMARC STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
-- DEVELOPMENT NOTES AND SUPPLEMENTARY SQL
--
-- Pretest Version 0.0.1
-- 2007-11-05
--
-- edited
-- with much more work remaining
-- (PLEASE SEE WARNING BELOW)
-- by thd
--
-- originally compiled
-- by Roberto Sturman
--
-- from
--
-- UNIMARC manual : bibliographic format 1994 / IFLA Universal
-- Bibliographic Control and International MARC Core Programme (UBCIM). -
-- "The following list represents the state of the format as at 1 March
-- 2000.  It includes the changes published in Update 3." -
-- http://www.ifla.org/VI/3/p1996-1/sec-uni.htm .
-- 2006-03-15 a
-- ***********************************************************************


-- *********************************************************************
-- These development notes and supplementary SQL statements have been
-- moved from the main file for easier readability of the main file and
-- to avoid possible bugs with lack of time to test for the use of
-- letters in field names such as used by RLIN to avoid conflict with
-- numbered field names already in use.
--
-- Retaining this file is important for future MARC frameworks
-- development work.
-- *********************************************************************


-- ****************************************************************************
-- WARNING
-- RISK OF DATA LOSS
--
-- Modestly corrected and augmented.  Missing many elements.  The work of the
-- original compiler had been done before significant improvements to Koha
-- MARC frameworks implementation had been introduced in 2006 for displaying,
-- editing, and preserving record data.
--
-- The documentation cited by the original compiler is known to be out of date
-- and incomplete.  Furthermore, the original compiler did not include all
-- fields and subfields from the documentation he consulted.
--
-- Completely unsafe for production use without significant correction and
-- augmentation.  These problems could be fixed but a few days work would be
-- required to fix them completely. -- thd.
-- ****************************************************************************


SET FOREIGN_KEY_CHECKS = 0;


-- ******************************************************
-- KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- ******************************************************


-- Original Record ID Field/Subfields


-- INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
-- 		('090', 'Biblio Number (Koha)', 'Biblio Number (Koha)', 0, 0, '', '');

-- INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
-- 		('090', '9', 'Biblio  Number (Koha)', 'Biblio  Number (Koha)', 0, 0, 'biblio.biblionumber', 0, '', '', '', 0, -5, '', '', '', NULL),
-- 		('090', 'a', 'BiblioItem Number (Koha)', 'BiblioItem Number (Koha)', 0, 0, 'biblioitems.biblioitemnumber', 0, '', '', '', 0, -5, '', '', '', NULL);


-- Current Record ID Field/Subfields

INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'System Control Numbers (Koha)', 'System Control Numbers (Koha)', 0, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', '9', 'Koha biblio number (autogenerated)', 'Koha biblio number', 0, 0, 'biblio.biblionumber', -1, '', '', '', 0, -5, '', '', '', NULL),
		('999', 'a', 'Koha biblioitem number (autogenerated)', 'Koha biblioitem number', 0, 0, 'biblioitems.biblioitemnumber', -1, '', '', '', 0, -5, '', '', '', NULL);


-- ******************************************************


-- Original primary biblioitems Field/Subfields


-- INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
-- 		('990', 'Biblio Type (Koha)', 'Biblio Type (Koha)', 0, 1, '', '');

-- INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
-- 		('990', 'a', 'Biblio Type (Koha)', 'Biblio Type', 0, 0, 'biblioitems.itemtype', 0, 'itemtypes', '', NULL, 0, 0, '', '', '', NULL);



-- Plugins which need to be written for primary biblioitems Field/Subfields.


-- 		('990', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'unimarc_en_classcodes.pl', NULL, 0, '', '', '', NULL),
-- 		('990', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'unimarc_callnumber.pl', NULL, 0, '', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('990', 'ADDED ENTRY ELEMENTS (KOHA)', 'ADDED ENTRY ELEMENTS (KOHA)', 0, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('990', '0', 'Koha issues (borrowed), all copies', 'Koha issues (borrowed), all copies', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, '', '', '', NULL),
		('990', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('990', '6', 'Koha normalized classification for sorting', 'Koha normalized classification for sorting', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, '', '', '', NULL),
		('990', 'a', 'Koha item type [OBSOLETE]', 'Koha item type [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, '', '', '', NULL),
		('990', 'c', 'Koha item type', 'Koha item type', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, '', '', '', NULL),
		('990', 'e', 'Edition', 'Edition', 0, 0, 'biblioitems.cn_edition', 9, 'CN_EDITION', '', '', NULL, 0, '', '', '', NULL),
		('990', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('990', 'i', 'Item part', 'Item part', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, '', '', '', NULL),
		('990', 'k', 'Call number prefix', 'Call number prefix', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, '', '', '', NULL),
		('990', 'm', 'Call number suffix', 'Call number suffix', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, '', '', '', NULL);



-- ******************************************************


-- Recommandation 995 is designed for interlibrary loan.  It is not designed
-- for holdings even if libraries have used it for holdings.

-- Original items Field/Subfields

-- Adapted from:
-- Recommandation 995 sur la fourniture de données locales dans les
-- échanges de notices bibliographiques en UNIMARC accompagnant le prêt
-- ou le dépôt d'exemplaires / ABF (Association des bibliothécaires
-- français) ; FULBI (Fédération des utilisateurs de logiciels de
-- bibliothèque) ; ADBDP (Association des directeurs de bibliothèques
-- départementales de prêt) ; ADBGV (Association des directeurs de
-- bibliothèques municipales et intercommunales des grandes villes de
-- France) ADDNB (Association pour le développement des documents
-- numériques en bibliothèque.


-- INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
-- 		('995', 'Holdings', 'Holdings', 0, 0, '', ''),
-- 
-- INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
-- 		('995', '9', 'Itemnumber (Koha Itemnumber))', '', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'a', 'Origin of Item (Free Text)', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'b', 'Owner Library', '', 0, 1, 'items.homebranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'c', 'Holding Branch', '', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'd', 'Code of Lending or Depository Institution', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'e', 'Localization of Item', '', 0, 1, '', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'f', 'Inventory Number', '', 0, 0, '', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'g', 'Barcode Prefix', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'h', 'Barcode Incrementation', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'i', 'Barcode Suffix', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'j', 'Barcode', 'Barcode', 0, 0, 'items.barcode', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'k', 'Call Number', 'Call Number', 0, 1, 'items.itemcallnumber', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'l', 'Numbering (Vol., Issue, etc.)', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'm', 'Date of Loan or Deposit', '', 0, 0, 'items.datelastseen', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'n', 'Expiration Loan Date', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'o', 'For Loan (0), Not for Loan  (1)', '', 0, 1, 'items.notforloan', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'q', 'Intended Audience', '', 0, 0, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'r', 'Document Type and Material Type', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 's', 'Acquisition Mode', '', 0, 1, '', -1, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'u', 'Notes', '', 0, 0, 'items.itemnotes', 10, '', '', '', 0, 0, '', '', '', NULL);



-- Recommended items Field/Subfields

-- INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
-- 		('995', 'Location and Item Information (Koha)', 'Location and Item Information (Koha)', 0, 0, '', '');

-- INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
-- 		('995', '0', 'Withdrawn status', 'Withdrawn status', 0, 0, 'items.wthdrawn', 10, 'WTHDRAWN', '', '', 0, 0, '', '', '', NULL),
-- 		('995', '1', 'Lost status', 'Lost status', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, '', '', '', NULL),
-- 		('995', '2', 'System code (specific classification or other scheme and edition)', 'System code (specific classification or other scheme and edition)', 0, 0, '', 10, '', '', 'unimarc_en_classcodes.pl', NULL, 0, '', '', '', NULL),
-- 		('995', '3', 'Classification part', 'Classification part', 0, 0, '', 10, '', '', '', NULL, 0, '', '', '', NULL),
-- 		('995', '4', 'Item part', 'Item part', 1, 0, '', 10, '', '', '', NULL, 0, '', '', '', NULL),
-- 		('995', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, '', '', '', NULL),
-- 		('995', '6', 'Coded location qualifier', 'Coded location qualifier', 1, 0, '', 10, '', '', 'marc21_locationqualifier.pl', NULL, 0, '', '', '', NULL),
-- 		('995', '7', 'Copy number', 'Copy number', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, '', '', '', NULL),
-- 		('995', '8', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, 'items.uri', 10, '', '', '', 1, 0, '', '', '', NULL),
-- 		('995', '9', 'Internal item number (Koha itemnumber, autogenerated)', 'Internal itemnumber (Koha itemnumber)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, -5, '', '', '', NULL),
-- 		('995', 'a', 'Origin of the item (home branch) (free text)', 'Origin of item (home branch) (free text)', 0, 1, 'items.homebranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'b', 'Origin of item (home branch) (coded)', 'Origin of item (home branch (coded)', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'c', 'Lending or holding organisation (holding branch) (free text)', 'Lending or holding organisation (holding branch) (free text)', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'd', 'Lending or holding organisation (holding branch) code', 'Lending or holding organisation (holding branch) code', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'e', 'Genre detail', 'Genre', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'f', 'Barcode', 'Barcode', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, '', '', '', NULL),
-- 		('995', 'g', 'Barcode prefix', 'Barcode prefix', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'h', 'Barcode incrementation', 'Barcode incrementation', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'i', 'Barcode suffix', 'Barcode suffix', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'j', 'Section', 'Section', 0, 0, '', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'k', 'Call number (full call number)', 'Call number (full call number)', 0, 0, 'items.itemcallnumber', 10, '', '', 'unimarc_itemcallnumber.pl', 0, 0, '', '', '', NULL),
-- 		('995', 'l', 'Numbering (volume or other part)', 'Numbering (bound volume or other part)', 0, 0, 'items.materials', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'm', 'Date of loan or deposit', 'Date of loan or deposit', 0, 0, 'items.datelastborrowed', 10, '', '', '', 0, -5, '', '', '', NULL),
-- 		('995', 'n', 'Expiration of loan date', 'Expiration of loan date', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'o', 'Circulation type (not for loan)', 'Circulation type (not for loan)', 1, 0, 'items.notforloan', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'p', 'Serial', 'Serial', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'q', 'Intended audience (age level)', 'Intended audience (age level)', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'r', 'Type of item and material', 'Type of item and material', 0, 0, '', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 's', 'Acquisition mode', 'Acquisition mode', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 't', 'Genre', 'Genre', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'u', 'Copy note', 'Copy note', 0, 0, 'items.itemnotes', 10, '', '', '', 0, 0, '', '', '', NULL),
-- 		('995', 'v', 'Periodical number', 'Periodical number', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'w', 'Recipient organisation code', 'Recipient organisation code', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'x', 'Recipient organisation, free text', 'Recipient organisation, free text', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'y', 'Recipient parent organisation code', 'Recipient parent organisation code', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
-- 		('995', 'z', 'Recipient parent organisation, free text', 'Recipient parent organisation, free text', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL);



-- Plugins which need to be written for items Field/Subfields


-- 		('995', '2', 'System code (specific classification or other scheme and edition)', 'System code (specific classification or other scheme and edition)', 0, 0, '', 10, '', '', 'unimarc_en_classcodes.pl', NULL, 0, '', '', '', NULL),
-- 		('995', 'k', 'Call number (full call number)', 'Call number (full call number)', 0, 0, 'items.itemcallnumber', 10, '', '', 'unimarc_itemcallnumber.pl', 0, 0, '', '', '', NULL),



-- Current items Field/Subfields

INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('995', 'Location and Item Information (Koha)', 'Location and Item Information (Koha)', 0, 0, '', '');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('995', '0', 'Withdrawn status', 'Withdrawn status', 0, 0, 'items.wthdrawn', 10, 'WTHDRAWN', '', '', 0, 0, '', '', '', NULL),
		('995', '1', 'Lost status', 'Lost status', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, '', '', '', NULL),
		('995', '2', 'System code (specific classification or other scheme and edition)', 'System code (specific classification or other scheme and edition)', 0, 0, '', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('995', '3', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, '', '', '', NULL),
		('995', '4', 'Koha normalized classification for sorting', 'Koha normalized classification for sorting', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, '', '', '', NULL),
		('995', '5', 'Coded location qualifier', 'Coded location qualifier', 1, 0, '', 10, '', '', 'marc21_locationqualifier.pl', NULL, 0, '', '', '', NULL),
		('995', '6', 'Copy number', 'Copy number', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, '', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, 'items.uri', 10, '', '', '', 1, 0, '', '', '', NULL),
		('995', '8', 'Koha collection', 'Koha collection', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, '', '', '', NULL),
		('995', '9', 'Internal item number (Koha itemnumber, autogenerated)', 'Internal itemnumber (Koha itemnumber)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, -5, '', '', '', NULL),
		('995', 'a', 'Origin of the item (home branch) (free text)', 'Origin of item (home branch) (free text)', 0, 1, 'items.homebranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
		('995', 'b', 'Origin of item (home branch) (coded)', 'Origin of item (home branch (coded)', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'c', 'Lending or holding organisation (holding branch) (free text)', 'Lending or holding organisation (holding branch) (free text)', 0, 1, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, '', '', '', NULL),
		('995', 'd', 'Lending or holding organisation (holding branch) code', 'Lending or holding organisation (holding branch) code', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'e', 'Genre detail', 'Genre', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'f', 'Barcode', 'Barcode', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, '', '', '', NULL),
		('995', 'g', 'Barcode prefix', 'Barcode prefix', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'h', 'Barcode incrementation', 'Barcode incrementation', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'i', 'Barcode suffix', 'Barcode suffix', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'j', 'Section', 'Section', 0, 0, '', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'k', 'Call number (full call number)', 'Call number (full call number)', 0, 0, 'items.itemcallnumber', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'l', 'Numbering (volume or other part)', 'Numbering (bound volume or other part)', 0, 0, 'items.materials', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'm', 'Date of loan or deposit', 'Date of loan or deposit', 0, 0, 'items.datelastborrowed', 10, '', '', '', 0, -5, '', '', '', NULL),
		('995', 'n', 'Expiration of loan date', 'Expiration of loan date', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'o', 'Circulation type (not for loan)', 'Circulation type (not for loan)', 1, 0, 'items.notforloan', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'p', 'Serial', 'Serial', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'q', 'Intended audience (age level)', 'Intended audience (age level)', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'r', 'Type of item and material', 'Type of item and material', 0, 0, '', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 's', 'Acquisition mode', 'Acquisition mode', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 't', 'Genre', 'Genre', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'u', 'Copy note', 'Copy note', 0, 0, 'items.itemnotes', 10, '', '', '', 0, 0, '', '', '', NULL),
		('995', 'v', 'Periodical number', 'Periodical number', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'w', 'Recipient organisation code', 'Recipient organisation code', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'x', 'Recipient organisation, free text', 'Recipient organisation, free text', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'y', 'Recipient parent organisation code', 'Recipient parent organisation code', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL),
		('995', 'z', 'Recipient parent organisation, free text', 'Recipient parent organisation, free text', 0, 0, '', 10, '', '', '', 0, -1, '', '', '', NULL);


